Bug 215840 - [exp-run] devel/bison: update to 3.0.4
Summary: [exp-run] devel/bison: update to 3.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://reviews.FreeBSD.org/D9073
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-06 21:05 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2017-01-13 07:23 UTC (History)
2 users (show)

See Also:
sunpoet: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2017-01-06 21:05:41 UTC
Update to 3.0.4

- Add LICENSE
- Use USES=localbase
- Use PORTDATA
- Sort PLIST

Changes:        http://git.savannah.gnu.org/cgit/bison.git/tree/NEWS
Differential Revision:  https://reviews.FreeBSD.org/D9073
Comment 1 Antoine Brodin freebsd_committer 2017-01-08 06:41:20 UTC
8 new failures on 11.0 amd64:

+ {"origin"=>"databases/monetdb", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"editors/xcoral", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/pixie", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/tumble", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"japanese/ming", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"multimedia/avinfo", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"net-mgmt/irrtoolset", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/kannel", "phase"=>"build", "errortype"=>"compiler_error"}

Failure logs:

http://package23.nyi.freebsd.org/data/110amd64-default-D9072D9073/2017-01-08_06h22m42s/logs/errors/monetdb-11.15.19_2.log
http://package23.nyi.freebsd.org/data/110amd64-default-D9072D9073/2017-01-08_06h22m42s/logs/errors/xcoral-3.47_2.log
http://package23.nyi.freebsd.org/data/110amd64-default-D9072D9073/2017-01-08_06h22m42s/logs/errors/pixie-2.2.6_12.log
http://package23.nyi.freebsd.org/data/110amd64-default-D9072D9073/2017-01-08_06h22m42s/logs/errors/tumble-0.33_5.log
http://package23.nyi.freebsd.org/data/110amd64-default-D9072D9073/2017-01-08_06h22m42s/logs/errors/ja-ming-0.1.5_11.log
http://package23.nyi.freebsd.org/data/110amd64-default-D9072D9073/2017-01-08_06h22m42s/logs/errors/avinfo-1.0.a15.log
http://package23.nyi.freebsd.org/data/110amd64-default-D9072D9073/2017-01-08_06h22m42s/logs/errors/irrtoolset-5.0.1.log
http://package23.nyi.freebsd.org/data/110amd64-default-D9072D9073/2017-01-08_06h22m42s/logs/errors/kannel-1.4.4_3,1.log
Comment 2 Antoine Brodin freebsd_committer 2017-01-08 21:44:12 UTC
On 10.3 i386 there is 1 additional failure: lang/hla

Failure log:

http://package23.nyi.freebsd.org/data/103i386-default-D9072D9073/2017-01-08_06h44m50s/logs/errors/hla-1.103.log
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-01-09 14:56:59 UTC
Hello Antoine,

I've updated the patch including fix for 9 failed ports. The patch file for multimedia/avinfo was considered as binary due to Russian comments in the source. Would you please execute exp-run again? Thanks.
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-01-10 14:12:40 UTC
Patch updated.

Please confirm if "multimedia/avinfo/files/patch-src-ass.y" exists after "arc patch D9073". Phabricator considered this file as binary due to Russian characters. With this file (also available at [1]), the log [2] should looks like:

...
=======================<phase: patch          >============================
===>  Patching for avinfo-1.0.a15
===>  Applying FreeBSD patches for avinfo-1.0.a15
===========================================================================
...

[1] https://people.freebsd.org/~sunpoet/bison/patch-src-ass.y
[2] https://people.FreeBSD.org/~sunpoet/bison/avinfo-1.0.a15.log
Comment 6 Antoine Brodin freebsd_committer 2017-01-13 06:54:11 UTC
Exp-run looks fine
Comment 7 commit-hook freebsd_committer 2017-01-13 07:21:27 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Jan 13 07:21:06 UTC 2017
New revision: 431345
URL: https://svnweb.freebsd.org/changeset/ports/431345

Log:
  Update to 3.0.4

  - Add LICENSE
  - Use USES=localbase
  - Use PORTDATA
  - Sort PLIST

  Changes:	http://git.savannah.gnu.org/cgit/bison.git/tree/NEWS
  Differential Revision:	https://reviews.FreeBSD.org/D9073
  PR:		215840
  Exp-run by:	antoine

Changes:
  head/databases/monetdb/files/patch-monetdb5-extras-jaql-parser-jaql.y
  head/devel/bison/Makefile
  head/devel/bison/distinfo
  head/devel/bison/pkg-plist
  head/editors/xcoral/files/patch-BR_Parser.c
  head/editors/xcoral/files/patch-BR_Parser.y
  head/graphics/pixie/files/patch-src__ri__rib.l
  head/graphics/tumble/files/
  head/graphics/tumble/files/patch-parser.y
  head/japanese/ming/files/patch-actioncompiler-compile.h
  head/japanese/ming/files/patch-src_actioncompiler_swf4compiler.flex
  head/japanese/ming/files/patch-src_actioncompiler_swf4compiler.y
  head/japanese/ming/files/patch-src_actioncompiler_swf5compiler.flex
  head/japanese/ming/files/patch-src_actioncompiler_swf5compiler.y
  head/lang/hla/Makefile
  head/lang/hla/files/patch-hlaparse.bsn
  head/multimedia/avinfo/Makefile
  head/multimedia/avinfo/files/
  head/multimedia/avinfo/files/patch-src-ass.y
  head/net-mgmt/irrtoolset/files/
  head/net-mgmt/irrtoolset/files/patch-src-rpsl-rpsl.l
  head/net-mgmt/irrtoolset/files/patch-src-rpsl-rpsl.y
  head/www/kannel/Makefile
Comment 8 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-01-13 07:23:25 UTC
Committed. Thanks!